︠d72c4aed-221d-4c5c-b03e-abd7e60ec2ad︠
from qasm import qasm
︡3e833b0a-2cd3-4f9b-afb9-dc8e1b7e1ccb︡︡
︠9b1bba62-96c8-4bd3-aafd-acfcfcf9e242︠
qasm("""
        qubit 	q0
        qubit 	q1

	h	q0	# create EPR pair
	cnot	q0,q1
""")
︡ba0d952a-7bde-410a-b875-727f9527df9b︡︡
︠692618b7-3903-4e91-923b-421e27a13c03︠
%qasm

	def	c-S,1,'S'
	def	c-T,1,'T'

	qubit	j0
	qubit	j1
	qubit	j2

	h	j0	
	c-S	j1,j0
	c-T	j2,j0
	nop	j1
	nop	j2
	h	j1
	c-S	j2,j1
	h	j2
	swap	j0,j2
︡a2f17e8c-cdb4-4e84-a5d1-9348f5e60334︡︡
︠4d48608f-8890-457f-b0e9-83d8848b3dc7︠
%qasm

# 
# File:	  test9.qasm
# Date:	  22-Mar-04
# Author: I. Chuang 
#
# Sample qasm input file - two-qubit gate circuit
# implementation of Toffoli 

	def	c-X,1,'\sqrt{X}'
	def	c-Xd,1,'{\sqrt{X}}^\dagger'

	qubit	q0
	qubit	q1
	qubit	q2

	c-X	q1,q2
	cnot	q0,q1
	c-Xd	q1,q2
	cnot	q0,q1
	c-X	q0,q2
︡d7e32206-912f-4271-97ce-410ee0dfd03a︡︡
